Bug 425833 - eclipse fails at startup
eclipse fails at startup
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 06:35 EST by Stefan Stanacar
Modified: 2007-12-22 04:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 14:59:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log with icedtea (72.19 KB, text/plain)
2007-12-16 06:35 EST, Stefan Stanacar
no flags Details
error log with gcj (360.12 KB, text/plain)
2007-12-17 04:44 EST, Stefan Stanacar
no flags Details

  None (edit)
Description Stefan Stanacar 2007-12-16 06:35:39 EST
Description of problem:

Eclipse fails to start and gives this:

"An error has occurred. See the log file
/home/blitz/.eclipse/org.eclipse.platform_3.3.0_1543616141/configuration/1197804574838.log"

It complains about java.lang.RuntimeException: No application id has been 
found. (See attachment)


Version-Release number of selected component (if applicable):

eclipse-cvs-client-3.3.0-30.fc8
eclipse-jdt-3.3.0-30.fc8
eclipse-platform-3.3.0-30.fc8
tomcat5-jasper-eclipse-5.5.25-1jpp.1.fc8
eclipse-ecj-3.3.0-30.fc8
eclipse-rcp-3.3.0-30.fc8
eclipse-cdt-4.0.1-1.fc8
Comment 1 Stefan Stanacar 2007-12-16 06:35:39 EST
Created attachment 289719 [details]
error log with icedtea
Comment 2 Stefan Stanacar 2007-12-17 04:44:30 EST
Created attachment 289758 [details]
error log with gcj
Comment 3 Stefan Stanacar 2007-12-17 04:46:01 EST
java-1.7.0-icedtea-devel-1.7.0.0-0.19.b21.snapshot.fc8
java-1.5.0-gcj-devel-1.5.0.0-17.fc8
java-1.7.0-icedtea-1.7.0.0-0.19.b21.snapshot.fc8
java-1.5.0-gcj-1.5.0.0-17.fc8
java-1.7.0-icedtea-plugin-1.7.0.0-0.19.b21.snapshot.fc8


These are the java packages installed.
The above error appears when using icedtea, if I switch to gcj (using 
alternatives) I get a slightly different message: 
"An error has occurred. See the log 
file /home/blitz/workspace/.metadata/.log."

The error in the log is the same: java.lang.RuntimeException: No application 
id has been found
Comment 4 Andrew Overholt 2007-12-17 08:17:15 EST
Please attach the output of:

for f in `rpm -qa | egrep 'swt|eclipse'`; do echo $f && rpm -qV $f; done
Comment 5 Stefan Stanacar 2007-12-21 14:55:01 EST
eclipse-cvs-client-3.3.0-30.fc8
eclipse-jdt-3.3.0-30.fc8
eclipse-platform-3.3.0-30.fc8
tomcat5-jasper-eclipse-5.5.25-1jpp.1.fc8
eclipse-ecj-3.3.0-30.fc8
libswt3-gtk2-3.3.0-30.fc8
eclipse-rcp-3.3.0-30.fc8
Unsatisfied dependencies for eclipse-rcp-3.3.0-30.fc8.i386: icu4j-eclipse >= 
3.6.1
eclipse-cdt-4.0.1-1.fc8

Updating icu4j-eclipse to 3.6.1-1jpp.3.fc8 solved the problem. Thanks!
Comment 6 Andrew Overholt 2007-12-21 14:59:34 EST
I'm glad it's working for you, but how did it get installed without that dependency?
Comment 7 Stefan Stanacar 2007-12-22 04:14:55 EST
I wish I knew that. I didn't forced the installation in any way. The 
dependency was installed but not this version. When I did a yum install 
icu4j-eclipse it was only a update. I don't understand why it wasn't updated 
on yum update.

Note You need to log in before you can comment on or make changes to this bug.